Subject: Re: bug#49869: Revert buffer? Yes/No/Maybe

From: Gregory Heytings <[email-masked]>
Date: Wed, 04 Aug 2021 13:30:44 +0000

>> No, I propose this as a solution to Juri's problem, instead of his 
>> proposed solution to "revert the buffer immediately" with C-x x g, 
>> which is indeed too drastic.  Something even better to take Lars' 
>> suggestion (do not ask confirmation when the buffer has not been 
>> modified) into account:
>
> I don't think we need to cater to personal preferences by adding new 
> commands.  The user option exists so that users could customize the 
> behavior to their liking without requiring us to provide a solution for 
> every personal taste.
>

I don't know.  I did not ask for this, but Juri's remark (that with a 
default configuration the confirmation uses more keystrokes than the 
command itself) makes sense to me.  And setting the user option has a 
global effect, not just on this particular command.  But it's up to the 
maintainers to decide what's the right way to go.